{* start-of-license

Copyright (C) 1990-2000 Raymond Ortgiesen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Required Reading For Developers and Distributors:
Full Text of License   http://www.gnu.org/copyleft/gpl.html
What is Free Software? http://www.gnu.org/philosophy/free-sw.html
What is copyleft?      http://www.gnu.org/copyleft/copyleft.html

Raymond Ortgiesen
35 Colvintown Road
Coventry, RI 02816
USA

end-of-license *}
{$O+,F+}
unit NetworkD; { NetworkD - the d stands for daisy chained }

interface

uses
  Network, NetNode;

type
PNetworkD = ^TNetworkD;
TNetworkD = object(TNetwork)
  Constructor Init(StationNum : byte);
  Destructor  Done; virtual;
  Procedure   PassItOn(ToNode : NodeSwitch); virtual;
end;

implementation

uses
  cRttyWin,   EditText,  LowLvl,  Routines,  IniFile,  IniTools,  OneTimers,  Keys,
  ApPort,  cMsgWin,  TpDate,  TpDos,  TpString,  Dos,  TpCrt,  DebugRtns, CSerNum,
  cEditWin,  TpEntry,  TpWindow,  TpMouse,  ClusterTerm,  ClstrCom, ClstrNet,
  c_Contest,  c_Radio,  cDupeTbl;

Constructor TNetworkD.Init(StationNum : Byte);
begin
  Inherited Init(StationNum);
  {$IFDEF DEBUG}
  AppendDebugMessage('NetworkD created');
  {$ENDIF}
end;

Destructor TNetworkD.Done;
Begin
  Inherited Done;
end;

Procedure TNetworkD.PassItOn(ToNode : NodeSwitch);
begin { PassItOn }
  if Not Assigned(Node[ToNode]) then Exit;
  if MD.DestNode <> ThisNode then Node[ToNode]^.TransmitBlock(Block);
end; { PassItOn }

end.

