{* start-of-license

Copyright (C) 1990-2000 Raymond Ortgiesen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Required Reading For Developers and Distributors:
Full Text of License   http://www.gnu.org/copyleft/gpl.html
What is Free Software? http://www.gnu.org/philosophy/free-sw.html
What is copyleft?      http://www.gnu.org/copyleft/copyleft.html

Raymond Ortgiesen
35 Colvintown Road
Coventry, RI 02816
USA

end-of-license *}
{$O+,F+}
unit cLogIDRA;

interface

uses
  Diskio;

type

PIDRALogFile = ^TIDRALOgFile;
TIDRALogFile = object(TLogFile)
  procedure BuildEditScreen; virtual;
end;

implementation
uses
  Network,
  TpEntry;

  procedure TIDRALogFile.BuildEditScreen;
  begin
    inherited BuildEditScreen;
    AddWordField(EditEsr,   'Rec''d Ser#',16, 3, '9999',
                                          16, 15, 0, 0, 9999, Work.His_Serno);
    AddStringField(EditEsr, 'Comments',   17, 3, '',
                                          17, 15, 25, 0, nil, Work.comment);
    AddWordField(EditEsr,   'Station ID', 18, 3, '9',
                                          18, 15, 0, 1, 9, Word(Work.His_Time));
  end;

end.