{* start-of-license

Copyright (C) 1990-2000 Raymond Ortgiesen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Required Reading For Developers and Distributors:
Full Text of License   http://www.gnu.org/copyleft/gpl.html
What is Free Software? http://www.gnu.org/philosophy/free-sw.html
What is copyleft?      http://www.gnu.org/copyleft/copyleft.html

Raymond Ortgiesen
35 Colvintown Road
Coventry, RI 02816
USA

end-of-license *}
{$O+,F+}
unit cLogNAQP;

interface

uses
  Diskio;

type

PNAQPLogFile = ^TNAQPLOgFile;
TNAQPLogFile = object(TLogFile)
  procedure BuildEditScreen; virtual;
  function  CabrilloDetail(var R : log_rec) : string; virtual;
end;

implementation
uses
  TpString,
  TpEntry;
  procedure TNAQPLogFile.BuildEditScreen;
  begin
    inherited BuildEditScreen;
    AddStringField(EditEsr, 'State/Prov', 16, 3, '!!!',
                                          16, 15, 3, 0, nil, Work.his_qth);
    AddStringField(EditEsr, 'Op Name',    17, 3, '!!!!!!!!!!',
                                          17, 15, 10, 0, nil, Work.comment);
  end;

 function TNAQPLogFile.CabrilloDetail(var R : log_rec) : string;
 var
   s : string;
 begin
   s := inherited CabrilloDetail(R);
   { builds up to callsign (including the space after it) }
{
QSO: freq  mo date       time call       nr   ex1        ex2 call       nr   ex1        ex2 t
QSO: ***** ** yyyy-mm-dd nnnn ********** nnnn aaaaaaaaaa aaa ********** nnnn aaaaaaaaaa aaa n
QSO: 14042 CW 1999-09-05 0000 N5TJ          1 JEFF       TX  N6TR          1 TREE       OR
000000000111111111122222222223333333333444444444455555555556666666666777777777788888888889999
123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123
}

   S := S + LeftPad(Long2Str(r.my_serno),4)+' ';
   S := S + copy('SENT-NAME ',1,10)+' ';
   S := S + copy(r.my_qth+'   ',1,3)+' ';

   S := S + Copy(Pad(r.Call, 10), 1, 10) + ' ';
   S := S + LeftPad(Long2Str(r.his_serno),4)+' ';
   S := S + copy(r.comment+'          ',1,10)+' ';
   S := S + copy(r.his_qth+'   ',1,3)+' ';
   CabrilloDetail := s;
  end;

end.