{* start-of-license

Copyright (C) 1990-2000 Raymond Ortgiesen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Required Reading For Developers and Distributors:
Full Text of License   http://www.gnu.org/copyleft/gpl.html
What is Free Software? http://www.gnu.org/philosophy/free-sw.html
What is copyleft?      http://www.gnu.org/copyleft/copyleft.html

Raymond Ortgiesen
35 Colvintown Road
Coventry, RI 02816
USA

end-of-license *}
{$O+,F+}
unit IniFile;

interface

uses IniTools;

var
  RttyIni : Pini;

procedure InitIni;

implementation

uses
  DebugRtns;

  { Initialization ================================================= }

procedure InitIni;
begin
  AppendDebugMessage('---------- Session Begins ----------');
{$IFDEF BETA}
  AppendDebugMessage('');
  AppendDebugMessage('*************************************');
  AppendDebugMessage('*                                   *');
  AppendDebugMessage('*  B E T A  T E S T  V E R S I O N  *');
  AppendDebugMessage('*                                   *');
  AppendDebugMessage('*************************************');
  AppendDebugMessage('');
{$ENDIF}
  RttyIni := nil;
  RttyIni := New(Pini, Init('RTTY.INI', False)); {global r/w access}
  if RttyIni = nil then
    WriteLn('Error! Unable to initialize RTTY.INI');
end;

end.
