{* start-of-license

Copyright (C) 1990-2000 Raymond Ortgiesen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Required Reading For Developers and Distributors:
Full Text of License   http://www.gnu.org/copyleft/gpl.html
What is Free Software? http://www.gnu.org/philosophy/free-sw.html
What is copyleft?      http://www.gnu.org/copyleft/copyleft.html

Raymond Ortgiesen
35 Colvintown Road
Coventry, RI 02816
USA

end-of-license *}
program KeyMappr;

uses
  TpEnhKbd,
  TpCrt,
  TpString,
  IniFile;

var
  Junk : string[9];
  OldKey,NewKey  : Word;

procedure RemapOne;
begin
  writeln('Press the ORIGINAL key definition as stated in the manual or');
  writeln('other documentation.');
  repeat until keypressed;
  oldkey := ReadKeyWord;
  writeln('OK, now press the NEW key which you wish to use instead.' );
  repeat until keypressed;
  newkey := ReadKeyWord;
  writeln('Entry made to RTTY.INI file');
  writeln;
  RttyIni^.SetOrAddProfileString('$'+Hexw(OldKey),'KEYMAP','$'+Hexw(NewKey));
end;

begin
  InitIni;
  repeat
    ClrScr;
    writeln('Remaps the program keys.');
    writeln;
    writeln('Not all keystrokes will provide valid mapping (eg. SHIFT is invalid');
    writeln;
    write(charstr('-',80));
    writeln;
    RemapOne;
    writeln('Enter Y then <enter> to remap another key');
    readln(junk);
  until (length(junk) = 0) or (upcase(junk[1]) <> 'Y');
end.