{* start-of-license

Copyright (C) 1990-2000 Raymond Ortgiesen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Required Reading For Developers and Distributors:
Full Text of License   http://www.gnu.org/copyleft/gpl.html
What is Free Software? http://www.gnu.org/philosophy/free-sw.html
What is copyleft?      http://www.gnu.org/copyleft/copyleft.html

Raymond Ortgiesen
35 Colvintown Road
Coventry, RI 02816
USA

end-of-license *}
program MakeCal;

uses
  TpString,
  TpDos,
  TAHigh,
  TAccess,
  Diskio;

var
  PrintFile      : Text;
  BinFile, IndexFile, OutFile : String[12];
  DBase          : DataSet;
  Scrap          : Log_Rec;
  Index          : String[8];
  T              : String[12];




begin
  BinFile := ParamStr(1);
  if Trim(BinFile) = '' then halt(1);
  OutFile := ForceExtension(BinFile, 'CAL');
  BinFile := ForceExtension(BinFile, 'BIN');
  IndexFile := ForceExtension(BinFile, 'NDX');

  TAOpen(DBase, BinFile, SizeOf(Scrap), IndexFile, SizeOf(Index)-1);
  if not OK then begin
    writeln('Couldnt TAOpen the dataset.');
    halt(1);
  end;
  TAReset(DBase);
  Assign(PrintFile, OutFile);
  {$I-} Rewrite(PrintFile); {$I+}
  TANext(DBase, Scrap, Index);
  while OK do begin
    if Scrap.ToolBoxNumber = 0 then begin
      T := Trim(Scrap.Call);
      WriteLn(PrintFile, T);
    end;
    TANext(DBase, Scrap, Index);
  end;
  Close(PrintFile);
  TAClose(DBase);
end.


