{* start-of-license

Copyright (C) 1990-2000 Raymond Ortgiesen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Required Reading For Developers and Distributors:
Full Text of License   http://www.gnu.org/copyleft/gpl.html
What is Free Software? http://www.gnu.org/philosophy/free-sw.html
What is copyleft?      http://www.gnu.org/copyleft/copyleft.html

Raymond Ortgiesen
35 Colvintown Road
Coventry, RI 02816
USA

end-of-license *}
{$O+,F+}
unit Notes;
interface

procedure AddNote;

implementation
uses
  TpDate,
  TpString,
  cEditWin,
  cClock,
  LowLvl,
  Routines,
  cMsgWin,
  c_Contest,
  DebugRtns,
  RecTypes;


  procedure AddNote;
  var
    NoteFile       : Text;
    IO             : Integer;
    Note           : string;
  begin
    Note := MsgWin^.AskString('Note: ','');
    if Note = '' then Exit;
    Assign(NoteFile, FileName('NOT'));
    {$I-} Append(NoteFile); {$I+}
    IO := IoResult;
    if (IO <> 0) and (IO <> 2) then begin
      MsgWin^.Display('Fatal IO Error, unable to write to disk');
      AppendDebugMessage('NOTES.AddNote: Fatal IO Error, unable to write to disk');
      Exit;
    end;
    if IO = 2 then
    begin
      Rewrite(NoteFile);
      WriteLn(NoteFile, 'Notes File');
      WriteLn(NoteFile, '');
      WriteLn(NoteFile, 'Date     Time  Band Note');
    end;
    WriteLn(NoteFile, Clock^.DateSUtc+' '+Clock^.TimeSUtc+' '+
       BandS[EditW^.EditRecs[1].Band]+' '+Note);
    Close(NoteFile)
  end;

end.
