{* start-of-license

Copyright (C) 1990-2000 Raymond Ortgiesen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Required Reading For Developers and Distributors:
Full Text of License   http://www.gnu.org/copyleft/gpl.html
What is Free Software? http://www.gnu.org/philosophy/free-sw.html
What is copyleft?      http://www.gnu.org/copyleft/copyleft.html

Raymond Ortgiesen
35 Colvintown Road
Coventry, RI 02816
USA

end-of-license *}
program RTTY;
uses
  {$IFDEF DEBUG}
  LeakChek,
  {$ENDIF}
  {$IFNDEF DPMI}
  OverXMS,
  Overlay,       {must be first!}
  OvrTrick,      {must be second!}
  {$ENDIF}
  {$IFDEF DPMI}
  DPMI,
  {$ENDIF}
  IniFile,       {units access inifile from INIT sections}
  Dos,
  { tpro units }
  TpCrt,
  TpDate,
  TpDos,
  TpEdit,
  TpEnhKbd,
  TpEntry,
  TpMouse,
  TpPick,
  TpRarray,
  TpSort,
  TpString,
  TpWindow,
  { apro units }
  ApPort,
  ApTimer,
  ApUart,
  { my units }
  CCallQue,
  cCountry,
  cEditWin,
  ClusterMon,
  ClusterTerm,
  CK6STI,
  cP38,
  cSerNum,
  c_Radio,
  cDist_w,
  cZone,
  cEaTbl,
  cSpTbl,
  cSection,
  cITbl,
  cRTbl,
  cState,
  cTopWin,
  cBotWin,
  cProvince,
  cColors,
  Debugrtns,
  Diskio,
  cDsp4100,
  cDxp38,
  Edittext,
  Inform,
  Keys,
  LowLvl,
  Network,
  Notes,
  OneTimers,
  cPci4000,
  C_Contest,
  cClock,
  cDupeTbl,
  cAutoCq,
  RecTypes,
  SendFile,
  Routines,
  Rttymenu,
  qtcRobj,
  qtcSobj,
  cRateWin,
  cRttyWin,
  cMsgWin,
  cScoreWin,
  TncControl,
  WrkSheet;

  {$O bearings}
  {$O CAEACommand}
  {$O CAmt}
  {$O CAutoCq}
  {$O CBaudotDrv}
  {$O cCallQue}
  {$O cContinent}
  {$O cCountry}
  {$O cSection}
  {$O cDist}
  {$O cDist_w}
  {$O cDist_ve}
  {$O cDist_ja}
  {$O cDist_vk}
  {$O cDist_zl}
  {$O CDsp4100}
  {$O CDxp38}
  {$O CDupeTbl}
  {$O CEaTbl}
  {$O CITbl}
  {$O CSPTbl}
  {$O CRTbl}
  {$O CmdLnObj}
  {$O ClusterTerm}
  {$O ClusterMon}
  {$O ClstrCom}
  {$O ClstrNet}
  {$O CKAM}
  {$O CLOGANAR}
  {$O CLOGARFD}
  {$O CLOGARII}
  {$O CLOGARRL}
  {$O CLOGBART}
  {$O CLOGCQWW}
  {$O CLOGDXPD}
  {$O CLOGEAWW}
  {$O CLOGIDRA}
  {$O CLOGJART}
  {$O CLOGNAQP}
  {$O CLOGSART}
  {$O CLOGRRWW}
  {$O CLOGSPRI}
  {$O CLOGVOLT}
  {$O CLOGWAED}
  {$O CLSTRCOM}
  {$O CLSTRNET}
  {$O CLUSTERMON}
  {$O CLUSTERTERM}
  {$O CMASTER}
  {$O CMDLNOBJ}
  {$O CMFJ1278}
  {$O CMYWIN}
  {$O CNOTNC}
  {$O CSERNUM}
  {$O C_FT890}
  {$O C_FT900}
  {$O C_FT920}
  {$O C_FT990}
  {$O C_FT10MP}
  {$O C_FT1000}
  {$O C_RADIO}
  {$O C_FTCMMN}
  {$O C_kenwood}
  {$O DEBUGRTNS}
  {$O DISKIO}
  {$O EDITTEXT}
  {$O FILER}
  {$O ICOMCIV}
  {$O INFORM}
  {$O INIFILE}
  {$O KEYS}
  {$O LOWLVL}
  {$O NAQPNAME}
  {$O NETNODE}
  {$O NETWORK}
  {$O NOTES}
  {$O CNOTNC}
  {$O ONETIMERS}
  {$O OOFILER}
  {$O CP38}
  {$O CPCI4000}
  {$O CPCI3000}
  {$O CPK232}
  {$O CPK900}
  {$O CAEACOMMAND}
  {$O cState}
  {$O cZone}
  {$O CPTC}
  {$O QTCROBJ}
  {$O QTCSOBJ}
  {$O RTTYMENU}
  {$O SENDFILE}
  {$O TACCESS}
  {$O TAHIGH}
  {$O TNCCONTROL}
  {$O TNCOBJECT}
  {$O TpDir}
  {$O TpDos}
  {$O TpEdit}
  {$O TpEntry}
  {$O TpMemo}
  {$O TpMenu}
  {$O TpPick}
  {$O TpRarray}
  {$O TpSort}
  {$O TpWindow}
  {$O CUSERDEF}
  {$O CUTU}
  {$O WRKSHEET}
  {$O WPXLIST}
  {$O WPXNODE}
  {$O c_cqww}
  {$O c_arrl}
  {$O c_sart}
  {$O c_hssc}
  {$O c_bart}
  {$O c_dxpd}
  {$O c_jart}
  {$O c_idra}
  {$O c_volt}
  {$O c_waed}
  {$O c_naqp}
  {$O c_anar}
  {$O c_eaww}
  {$O c_spdx}
  {$O c_arii}
  {$O c_rrww}
  {$O c_spri}
  {$O c_tara}

  {$IFDEF DEMO}
  procedure DemoSend(S : string);
  var
    dc : integer;
    et : EventTimer;
  begin
    for dc := 1 to length(S) do begin
      NewTimer(et,1);
      repeat until TimerExpired(et);
      if S[dc] = '~' then begin
        NewTimer(et,18);
        repeat until TimerExpired(et);
      end
      else begin
        RttyWin^.PutString(S[dc]);
        RttyWin^.ProcessIncomingBuffer(S[dc], EditW^.EditRecs[1]);
      end;
    end;
  end;

  procedure DemoIt;
  var
    InFile         : Text;
    data           : STRING;
  begin
    Assign(InFile, 'DEMO.AIR');
    Reset(InFile);
    while not Eof(InFile) do begin
      ReadLn(InFile, Data);
      DemoSend(Data+cCr);
      if KeyPressed then break;
    end;
    Close(InFile);
  end;
  {$ENDIF}

  procedure ProcessCommand(var Command : String);
  var
    I : Integer;
    BaudRate : Integer;
  begin
    if RttyIni  ^.GetProfileBool('SpaceTab','PROFILE',False) then begin
      while pos('_',Command) > 1 do
        Command[pos('_',Command)] := ' ';
      while pos('-',Command) > 1 do
        Command[pos('-',Command)] := ' ';
    end;
    Command := StUpCase(Trim(Command));
    if Command = '' then Exit;
    if (Command[1] in ['0'..'9']) and
       (Command[2] in ['0'..'9']) and
       (Command[3] in ['0'..'9']) and
       (Command[4] in ['0'..'9']) then
      begin
        if Assigned(Radio) then Radio^.ChangeFrequency(Command,0);
        Command := '';
      end;
    if Command = 'AUTOSAVE ON' then
      begin
        Command := '';
        LogFile^.AutoSaveOn;
      end;
    if Command = 'AUTOSAVE OFF' then
      begin
        Command := '';
        LogFile^.AutoSaveOff;
      end;
    if Command = 'BEEP ON' then
      begin
        Command := '';
        RttyIni^.SetOrAddProfileString('OK', 'BEEP', 'True');
      end;
    if Command = 'BEEP OFF' then
      begin
        Command := '';
        RttyIni^.SetOrAddProfileString('OK', 'BEEP', 'False');
      end;
    if Length(Command) > 7 then
      if Copy(Command, 1, 6) = 'CBAUD ' then
        begin
          Delete(Command, 1, 6);
          if Str2Int(Command, BaudRate) then RttyTerm1^.SetBaudRate(BaudRate);
          Command := '';
        end;
    if Length(Command) > 6 then
      if Copy(Command, 1, 5) = 'CWPM ' then
        begin
          Delete(Command, 1, 5);
          if Str2Int(Command, BaudRate) then RttyTerm1^.SetWpmRate(BaudRate);
          Command := '';
        end;
    if (Command = 'DETECTOR1') or (Command = 'DETECTOR 1')  then
      begin
        Command := '';
        RttyIni^.SetOrAddProfileString('Detector', 'PROFILE', '1');
        MsgWin^.Display('Detector now 1');
      end;
    if (Command = 'DETECTOR2') or (Command = 'DETECTOR 2')  then
      begin
        Command := '';
        RttyIni^.SetOrAddProfileString('Detector', 'PROFILE', '2');
        MsgWin^.Display('Detector now 2');
      end;
    if (Command = 'DETECTOR3') or (Command = 'DETECTOR 3')  then
      begin
        Command := '';
        RttyIni^.SetOrAddProfileString('Detector', 'PROFILE', '3');
        MsgWin^.Display('Detector now 3');
      end;
    if Command = 'ECHO OFF' then
      begin
        Command := '';
        RttyIni^.SetOrAddProfileString('LocalEcho', 'PROFILE', 'False');
      end;
    if Command = 'ECHO ON' then
      begin
        Command := '';
        RttyIni^.SetOrAddProfileString('LocalEcho', 'PROFILE', 'True');
      end;
    if Command = 'EDIT RQTC' then
      begin
        ThisContest^.EditRQtc;
        Command := '';
      end;
    if Command = 'EDIT SQTC' then
      begin
        ThisContest^.EditSQtc;
        Command := '';
      end;
    if Command = 'FLUSH' then
      begin
        Command := '';
        LogFile^.Flush;
        Editw^.RefreshFromDisk;
      end;
    if Copy(Command, 1, 5) = 'PING ' then
      begin
        if Assigned(Net) then begin
          if Str2Int(Command[6], I) then Net^.SendPing(I);
        end;
        Command := '';
      end;
    if Command = 'PRINT OFF' then
      begin
        Command := '';
        RttyIni^.SetOrAddProfileString('PrintEachContact', 'PROFILE', 'No');
      end;
    if Command = 'PRINT ON' then
      begin
        Command := '';
        RttyIni^.SetOrAddProfileString('PrintEachContact', 'PROFILE', 'Yes');
      end;
    if Command = 'RPT OFF' then
      begin
        AutoCq^.Stop;
        Command := '';
      end;
    if Command = 'RPT' then
      begin
        AutoCq^.Start;
        Command := '';
      end;
    if Length(Command) > 5 then   {e.g. RPT 1 10}
      if Copy(Command, 1, 4) = 'RPT ' then
        begin
          AutoCq^.SetupAutoRepeat(Command);
          Command := '';
        end;
    if Copy(Command, 1, 7) = 'SAVELOG' then
      begin
        LogFile^.SaveLog(Command[9]);
        Command := '';
      end;
    if Command = 'SENDFILE' then
      begin
        SendFileOut;
        Command := '';
      end;
    if Command = 'SETTIME' then
      begin
        if Assigned(Net) then Net^.SendDateTime;
        Command := '';
      end;
    if Command = 'WRITELOG' then
      begin
        ThisContest^.WriteLog;
        MsgWin^.Display('Report Preparation Complete');
        Command := '';
      end;
    if Command = '' then begin
      with EntryEsr do begin
        CurrentField := CurrentField^.PrevField;
      end;
    end;
    if RttyIni^.GetProfileBool('SpaceTab','PROFILE',False) then
      while pos(' ',Command) > 1 do
        Command[pos(' ',Command)] := '_';
  end;



  procedure UpdateBand;
  var
    Freq : LongInt;
    I : Integer;
  begin
    if not TimerExpired(RadioTimer) then Exit;
    if Assigned(Radio)
      then EditW^.EditRecs[1].Band := Radio^.GetDisplayBand
      else EditW^.EditRecs[1].Band := CurrentBand;
    with EditW^ do
      if not(EditRecs[1].Band in [B80,B40,B20,B15,B10]) then
        for i := 5 downto 1 do
          if EditRecs[i].Band in [B80,B40,B20,B15,B10] then EditRecs[1].Band := EditRecs[i].Band;
    HideMouse;
    FastWrite(BandS[EditW^.EditRecs[1].Band], ActionBarLine, 51, Colors^.HeaderAttr);
    DrawField(EntryEsr,0);
    ShowMouse;
    if Assigned(Radio) then NewTimer(RadioTimer, Radio^.PollFreqInTics)
                       else NewTimer(RadioTimer, 18 * 1);
  end;

  procedure UpdateTime;
  begin
    if TimerExpired(ClockTimer) then begin
      HideMouse;
      FastWrite(Clock^.TimeSUtc, ActionBarLine, 38, Colors^.PromptAttr);
      FastWrite(':', ActionBarLine, 40, Colors^.PromptAttr+Blink);
      ShowMouse;
      NewTimer(ClockTimer, 18 * 1);
      if NOT gInMainLoop then Exit; { stuff below ONLY for main loop }
      EditW^.EditRecs[1].Ts := Clock^.TimeUtc;
      DrawField(EntryEsr,1);
      EditW^.SaveToDisk;
      RateWin^.Update;
    end;
  end;

  function MyGetKey : Word; far;
  var
    KeyStroke : Word;

    procedure UpdateTuningBarDisplay;
    const
      Display : String[10] = '';
      DispAttr1 : Byte = $0F;
      DispAttr2 : Byte = $0F;
      ZeroAttr : Byte = $0F;
      S1 : String[20] = '';
      S2 : String[20] = '';
      FreqDelta : ShortInt = 0;
    begin
      if (RttyTerm1^.TncNum in [bP38,bPci4000,bDSP4100,bDxp38]) then begin
        RttyTerm1^.UpdateFilterStrings(S1, S2, DispAttr1, DispAttr2);
        RttyTerm1^.GetZero(FreqDelta, ZeroAttr);
        FastWrite(leftpad(long2str(FreqDelta), 4), ScreenHeight-2, ScreenWidth-5, ZeroAttr);
        FastWrite(S1, ScreenHeight-1, ScreenWidth-21, DispAttr1);
        FastWrite(S2, ScreenHeight, ScreenWidth-21, DispAttr2);
      end;
      if RttyTerm1^.TncNum = bK6STI then begin
        RttyTerm1^.GetPip(1, Display, DispAttr1);
        FastWrite(Display, ScreenHeight-1, ScreenWidth-21, DispAttr1);
        RttyTerm1^.GetPip(2, Display, DispAttr2);
        FastWrite(Display, ScreenHeight-1, ScreenWidth-11, DispAttr2);
      end;
    end;

    procedure ProcessRecvChar;
    var
      C : Char;
    begin
      RttyTerm1^.Receive(C);
      if C = cNUL then Exit;
      RttyWin^.PutChar(C);
      RttyWin^.ProcessIncomingBuffer(C, EditW^.EditRecs[1]);
    end;

    procedure ProcessKeyStroke;
    begin
      if not(RttyTerm1^.TncTalk or RttyTerm1^.KeyBoardLive) then Exit;
      if Lo(KeyStroke) = 0 then Exit;
      RttyTerm1^.SendByte(Lo(KeyStroke));
      KeyStroke := kbNoKey;
    end;

  begin
    { The bulk of runtime is spent right here!! }
    if gInMainLoop then
      repeat
        while not(KeyPressed or MousePressed) do begin
          {idle loop - rx}
          UpdateTime;
          if Assigned(Net) then Net^.Idle;
          if Assigned(ClusterTerminal) then begin
            ClusterTerminal^.Idle;
            if ClusterMonitor^.Msg <> '' then MsgWin^.Display(ClusterMonitor^.Message);
          end;
          if not RttyTerm1^.KeyBoardLive then begin {v2.5a}
            UpdateBand;
            Logfile^.AutoSave;
            AutoCq^.CheckAutoRepeat(EditW^.EditRecs[1]);
            UpdateTuningBarDisplay;
            MsgWin^.Idle;
          end;
          if not RttyWin^.Scrolling then ProcessRecvChar;
        end;
        KeyStroke := ReadKeyorButton;
        {$IFDEF DEMO}
        if KeyStroke = 31488 {ALT-4} then DemoIt;
        {$ENDIF}
        ProcessKeyStroke;
        if not RttyWin^.Scrolling then ProcessRecvChar;
      until (KeyStroke <> kbNoKey) or GetOut;

    { if they are processing wae qtc data, then this special loop instead}
    if gQtcExchange then
      repeat
        while not(KeyPressed or MousePressed) do begin
          {idle loop - during the qtc exchange window}
          UpdateTime;
          if not RttyWin^.Scrolling then ProcessRecvChar;
        end;
        KeyStroke := ReadKeyorButton;
        ProcessKeyStroke;
        if not RttyWin^.Scrolling then ProcessRecvChar;
      until (KeyStroke <> kbNoKey) or GetOut;

    { this is the generic get key function i replaced with above}
    if (not gInMainLoop) and (not gQtcExchange) then begin
      repeat
        {idle loop}
      until (KeyPressed or MousePressed);
      KeyStroke := ReadKeyorButton;
    end;
    MyGetKey := KeyStroke;
  end;

  function ValidateCallSign(var FR : FieldRec;
    var ErrCode : Byte;
    var ErrorSt : StringPtr) : Boolean; far;
  var
    S : String[12];
  begin
    ValidateCallsign := True;
    if EditW^.ScreenRecordNum > 1 then Exit;
    AutoCq^.Stop;
    if MouseCall <> '' then       {mouse clicked in call}
      MouseCall := ''             {reset mouse clicked call}
    else begin
      S := Trim(FR.EditSt^);
      if Length(S) = 0 then Exit;
      ProcessCommand(S);
      if S = '' then begin { it was a command then get out }
        LogFile^.BlankLogRec(EditW^.EditRecs[1]);
        FR.EditSt^ := '';
        Exit;
      end;
      EditW^.EditRecs[1].Call := S;
      CountryList^.Identify(EditW^.EditRecs[1]);
      if RttyIni^.GetProfileBool('PutMsgs','Profile',True) then
        case Contest of
          SPRI : if not ThisContest^.QsoIsGood(EditW^.EditRecs[1]) then RttyWin^.PutString(^G^Y'-Not yet'^Z);
        else
          if DupeTbl^.IsDupe(EditW^.EditRecs[1].Call, EditW^.EditRecs[1].Band) then RttyWin^.PutString(^G^Y'-DUPE '^Z);
        end;
      ThisContest^.FillRec(EditW^.EditRecs[1].Call, EditW^.EditRecs[1]);
      FR.EditSt^ := EditW^.EditRecs[1].Call;
    end;
    DrawEditScreen(EntryEsr);
    TopWin^.Update(EditW^.EditRecs[1].Call);
    BotWin^.Update(EditW^.EditRecs[1].Call,EditW^.EditRecs[1].His_Qth);
  end;

  function ValidateQTH(var FR : FieldRec;
    var ErrCode : Byte;
    var ErrorSt : StringPtr) : Boolean; far;
  begin
    ValidateQTH := True;
    if EditW^.ScreenRecordNum > 1 then Exit;
    EditW^.EditRecs[1].His_Qth := Trim(FR.EditSt^);
    if Length(EditW^.EditRecs[1].His_Qth) = 0 then Exit;
    {moved the following two lines from below}
    if Assigned(ZoneList) then
      EditW^.EditRecs[1].His_Zone := ZoneList^.GetZoneNo(EditW^.EditRecs[1]);
    if (EditW^.EditRecs[1].His_Country = 'W') and (Assigned(StateList)) then
      EditW^.EditRecs[1].His_Qth := StateList^.AdjustQth(EditW^.EditRecs[1].His_Qth);
    if (EditW^.EditRecs[1].His_Country = 'VE') and (Assigned(ProvList)) then
      EditW^.EditRecs[1].His_Qth := ProvList^.AdjustQth(EditW^.EditRecs[1].His_Qth);
    { those line were here}
    FR.EditSt^ := EditW^.EditRecs[1].His_Qth;
    DrawEditScreen(EntryEsr);
    BotWin^.Update(EditW^.EditRecs[1].Call,EditW^.EditRecs[1].His_Qth);
  end;

  procedure UpdateActionBar;
  begin
    UpdateTime;
    HideMouse;
    with Colors^ do begin
    if RttyTerm1^.TncTalk then begin
      FastWrite('Tnc', ActionBarLine, 2, HeaderAttr+Blink);
      FastWrite('', ActionBarLine, 5, FrameAttr);
    end
    else
      if RttyTerm1^.KeyBoardLive then begin
        FastWrite('Kbd', ActionBarLine, 2, HeaderAttr+Blink);
        FastWrite('', ActionBarLine, 5, FrameAttr);
      end
    else begin
      FastWrite(' ', ActionBarLine, 2, FrameAttr);
      FastWrite('W', ActionBarLine, 3, HeaderAttr);
    end;
    FastWrite(' Ƶ Ƶ Ƶ Ƶ Ƶ Ƶ Ƶ Ƶ Ƶ  Ƶ', ActionBarLine, 6, FrameAttr);
    FastWrite('zƵ   Ƶ  Ƶ  Ƶ   Ƶ   ', ActionBarLine, 43, FrameAttr);
    FastWrite('1', ActionBarLine, 7, HeaderAttr);
    FastWrite('2', ActionBarLine, 10, HeaderAttr);
    FastWrite('3', ActionBarLine, 13, HeaderAttr);
    FastWrite('4', ActionBarLine, 16, HeaderAttr);
    FastWrite('5', ActionBarLine, 19, HeaderAttr);
    FastWrite('6', ActionBarLine, 22, HeaderAttr);
    FastWrite('7', ActionBarLine, 25, HeaderAttr);
    FastWrite('8', ActionBarLine, 28, HeaderAttr);
    FastWrite('9', ActionBarLine, 31, HeaderAttr);
    FastWrite('10', ActionBarLine, 34, HeaderAttr);
    FastWrite('Que', ActionBarLine, 46, HeaderAttr);
    FastWrite(BandS[EditW^.EditRecs[1].Band], ActionBarLine, 51, HeaderAttr);
    FastWrite('TU', ActionBarLine, 55, HeaderAttr);
    FastWrite('Log', ActionBarLine, 59, HeaderAttr);
    FastWrite(RttyTerm1^.RXToneState, ActionBarLine, 64, HeaderAttr);
    end;
    ShowMouse;
  end;

  procedure HandleMenuRequest;
  var
    boo : boolean;
  begin
    RunMenu;
    case Key of
      mnuAdjustTime : Clock^.Adjust;
      mnuClearScreen : RttyWin^.Clear;
      mnuSetFunctionKeys : ThisContest^.ProgramFKeys;
      mnuSetSerialPorts : SetSerialPorts;
      mnuSetSerialNums : SerNum^.Modify;
      mnuShellToDOS : ShellToDos;
      mnuResetFKeys : ThisContest^.ReadDefaultFKeys;

      mnuDispCountries : CountryList^.DisplayMults;
      mnuDispZones : if Assigned(ZoneList) then ZoneList^.DisplayMap;
      mnuDispStates : if Assigned(StateList) then StateList^.Display;
      mnuDispDistricts : if Assigned(WDistList) then WDistList^.Display;
      mnuDispOblasts : if Assigned(RList) then RList^.Display;
      mnuDispSPProvs : if Assigned(SpList) then SpList^.Display;
      mnuDispEAProvs : if Assigned(EaList) then EaList^.Display;
      mnuDispPrefixes : if Assigned(PrefixList) then PrefixList^.Display;
      mnuDispIProvs : if Assigned(IList) then IList^.Display;
      mnuDispSections : if Assigned(SectionList) then SectionList^.Display;
      mnuCheck : DupeTbl^.SuperPartialCallSearch;

      mnuWriteLog : begin
                      ThisContest^.WriteLog;
                      MsgWin^.Display('Report Preparation Complete');
                    end;
      mnuSummary : ThisContest^.PrintSummary;
      mnuMultipliers : CountryList^.Print;
      mnuDupeSheet : DupeTbl^.PrintDupeReport;

      mnuSyncTime : if Assigned(Net) then Net^.SendDateTime;
      mnuPing1..mnuPing8 : if Assigned(Net) then Net^.SendPing(Key-mnuPing1+1);
      mnuNetGab : if Assigned(Net) then Net^.SendAMessage;
      mnuNetAnnounce : if Assigned(Net) then Net^.SendAnnouncement;
      mnuPacket : if Assigned(ClusterTerminal) then ClusterTerminal^.RunTerminal;
      mnuAltAWin : if Assigned(ClusterMonitor) then ClusterMonitor^.PickSpot(EditW^.EditRecs[1]);
      mnuViewMsgs : if Assigned(Net) then Net^.EditMessages;
      mnuSpotCurrBand : begin
                          boo := NOT RttyIni^.GetProfileBool('CurrentBand','CLUSTER',True);
                          RttyIni^.SetOrAddProfileString('CurrentBand','CLUSTER',YesNo[Boo]);
                        end;
      mnuSpotAllBands : begin
                          boo := NOT RttyIni^.GetProfileBool('OtherBands','CLUSTER',True);
                          RttyIni^.SetOrAddProfileString('OtherBands','CLUSTER',YesNo[Boo]);
                        end;
      mnuOptionReindex : begin
                          boo := NOT RttyIni^.GetProfileBool('AutoReindex','PROFILE',True);
                          RttyIni^.SetOrAddProfileString('AutoReindex','PROFILE',YesNo[Boo]);
                        end;
      mnuOptionPrintQso : begin
                          boo := NOT RttyIni^.GetProfileBool('PrintEachContact','PROFILE',True);
                          RttyIni^.SetOrAddProfileString('PrintEachContact','PROFILE',YesNo[Boo]);
                        end;
      mnuOptionSpaceBar : begin
                          boo := RttyIni^.GetProfileBool('SpaceTab','PROFILE',False);
                          boo := not boo;
                          RttyIni^.SetOrAddProfileString('SpaceTab','PROFILE',YesNo[Boo]);
                          boo := RttyIni^.GetProfileBool('SpaceTab','PROFILE',False);
                        end;
      mnuAbout : About;
      mnuHelpTopics : ShowHelp;
      mnuUserHelp : FileEdit('USERHELP.TXT');
      mnuIniHelp : FileEdit('INI.TXT');
      mnuColorHelp : FileEdit('COLORS.TXT');
    end;
  end;


  procedure ProcessAltW;
  var
    W : Word;
  begin
    W := Editw^.EditRecs[1].My_Serno;
    LogFile^.BlankLogRec(EditW^.EditRecs[1]);
    Editw^.EditRecs[1].My_Serno := W;
    QSOTimeSet := False;
    EntryActiveField := 2;
    DrawEditScreen(EntryEsr);
  end;

  procedure AutoAnswer(var R : log_rec);
  begin
    with R do begin
      if Trim(Call) = '' then Call := Ccall; {ccall is catch-call}
      RttyWin^.SendKeys(EsMy14, R);
      TopWin^.Update(Call);
      BotWin^.Update(Call,His_Qth);
    end;
  end;

  procedure LogAndQrz(var R : log_rec);
  begin
    RttyWin^.SendKeys(EsMy15, R); { send buffer F3 }
    ThisContest^.LogContact(R);   { try to log the contact }
  end;

  procedure ProcessMouseClickedItem(var S : String);
  var
    L, I, Result : Byte;
    OkSoFar : Boolean;
    Converted : Boolean;

    procedure PrepItem(var PrepS : String);
    begin
      Result := 0;
      S := Pad(S, 6);             {need at least 6 bytes to test with}
    end;

    function AllNumerics(TestS : String) : Boolean;
    var
      I : Integer;
    begin
      AllNumerics := False;
      if (S = 'OR    ') or (S = 'WI    ') or (S = 'WY    ') or
      (S = 'PEI   ') or (S = 'RI    ') or (S = 'UT    ') then Exit;
      for I := 1 to Length(Trim(TestS)) do
        if not(TestS[I] in ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'I', 'O', 'P']) then
          Exit;
      AllNumerics := True;
    end;

    procedure ConvertToNumerics(var TestS : String);
    var
      I : Integer;
    begin
      for I := 1 to Length(Trim(TestS)) do begin
        if TestS[I] = 'Q' then TestS[I] := '1';
        if TestS[I] = 'W' then TestS[I] := '2';
        if TestS[I] = 'E' then TestS[I] := '3';
        if TestS[I] = 'R' then TestS[I] := '4';
        if TestS[I] = 'T' then TestS[I] := '5';
        if TestS[I] = 'Y' then TestS[I] := '6';
        if TestS[I] = 'U' then TestS[I] := '7';
        if TestS[I] = 'I' then TestS[I] := '8';
        if TestS[I] = 'O' then TestS[I] := '9';
        if TestS[I] = 'P' then TestS[I] := '0';
      end;
    end;

    procedure ConvertToAlpha(var TestS : String);
    var
      I : Integer;
    begin
      for I := 1 to Length(Trim(TestS)) do begin
        if TestS[I] = '1' then TestS[I] := 'Q';
        if TestS[I] = '2' then TestS[I] := 'W';
        if TestS[I] = '3' then TestS[I] := 'E';
        if TestS[I] = '4' then TestS[I] := 'R';
        if TestS[I] = '5' then TestS[I] := 'T';
        if TestS[I] = '6' then TestS[I] := 'Y';
        if TestS[I] = '7' then TestS[I] := 'U';
        if TestS[I] = '8' then TestS[I] := 'I';
        if TestS[I] = '9' then TestS[I] := 'O';
        if TestS[I] = '0' then TestS[I] := 'P';
      end;
    end;


    procedure RemovePunctuation(var TestS : String);
    var
      I : Integer;
    begin
      for I := Length(TestS) downto 1 do
        if S[I] in ['.', ':'] then Delete(S, I, 1); {get rid of . and : }
    end;

    function IsItSerno(TestS : String) : Boolean;
    begin
      IsItSerno := False;
      if not(TestS[1] in ['0'..'9']) then Exit;
      if not(TestS[2] in ['0'..'9']) then Exit;
      if not(TestS[3] in ['0'..'9']) then Exit;
      if not(TestS[4] in ['0'..'9', ' ']) then Exit;
      if (S[3] = ':') or (S[5] = 'Z') or (S[6] = 'Z') then Exit;
      IsItSerno := True;
    end;

    function IsItYear(TestS : String) : Boolean;
    var
      w : word;
    begin
      IsItYear := False;
      if Length(Trim(TestS)) <> 4 then Exit;
      if not(TestS[1] in ['1'..'2']) then Exit;
      if not(TestS[2] in ['0'..'9']) then Exit;
      if not(TestS[3] in ['0'..'9']) then Exit;
      if not(TestS[4] in ['0'..'9']) then Exit;
      if NOT Str2Word(Tests, w) then Exit;
      if (w < 1900) or (w > 1900+255) then Exit;
      IsItYear := True;
    end;

    function IsItPrecidence(TestS : String) : Boolean;
    begin
      IsItPrecidence := False;
      TestS := LeftPad(Trim(Tests),3);
      if not(TestS[1] in ['0'..'9', ' ']) then Exit;
      if not(TestS[2] in ['0'..'9']) then Exit;
      if not(TestS[3] in ['A'..'E']) then Exit;
      IsItPrecidence := True;
    end;

    function IsItTime(TestS : String) : Boolean;
    var
      T : Time;
      HH, MM, SS : Byte;
      MaxDiff : integer;
    begin
      IsItTime := False;
      if TestS[3] = ':' then Delete(TestS, 3, 1); {v2.5a}
      if TestS[5] = 'Z' then Delete(TestS, 5, 1); {v2.5a}
      if not(TestS[1] in ['0'..'2']) then Exit;
      if not(TestS[2] in ['0'..'9']) then Exit;
      if not(TestS[3] in ['0'..'5']) then Exit; {v2.5a}
      if not(TestS[4] in ['0'..'9']) then Exit;
      T := TimeStringToTime('hhmm', Copy(TestS, 1, 4));
      if T = BadTime then Exit;
      TimeDiff(T, Clock^.TimeUtc, HH, MM, SS);
      if (HH*60)+MM > RttyIni^.GetProfileInt('TimeDiff','MOUSE',15) then Exit;
      IsItTime := True;
    end;

    function IsItZone(TestS : String) : Boolean;
    begin
      IsItZone := False;
      if not(TestS[1] in ['0'..'4']) then Exit;
      if not(TestS[2] in ['0'..'9']) then Exit;
      if not(TestS[3] = ' ') then Exit;
      if Copy(TestS, 1, 2) > '40' then Exit;
      if Copy(TestS, 1, 2) = '00' then Exit;
      IsItZone := True;
    end;

    function IsItAge(TestS : String) : Boolean;
    begin
      IsItAge := False;
      if not(TestS[1] in ['0'..'9']) then Exit;
      if not(TestS[2] in ['0'..'9']) then Exit;
      if not(TestS[3] = ' ') then Exit;
      IsItAge := True;
    end;

    function IsItState(TestS : String) : Boolean;
    begin
      IsItState := False;
      if TestS[3] <> ' ' then Exit;
      IsItState := StateList^.GetStateNo(copy(TestS, 1, 2)) > 0;
    end;

    function IsItSection(TestS : String) : Boolean;
    begin
      IsItSection := SectionList^.GetSectionNo(trim(TestS)) > 0;
    end;

    function IsItProvince(TestS : String) : Boolean;
    var
      I : Byte;
    begin
      IsItProvince := False;
      if not(TestS[4] = ' ') then Exit;
      if Contest in [CQWW,ARRL,TARA,NAQP] then begin
        if (ProvList^.GetProvNo(Copy(TestS, 1, 3)) > 0) then begin
          IsItProvince := True;
          Exit;
        end;
      end;
      if Contest = EAWW then begin
        if EaList^.GetProvNo(Trim(S)) > 0 then begin
          IsItProvince := True;
          Exit;
        end;
      end;
      if Contest = SPDX then begin
        if SpList^.GetProvNo(Trim(S)) > 0 then begin
          IsItProvince := True;
          Exit;
        end;
      end;
      if Contest = ARII then begin
        if IList^.GetProvNo(Trim(S)) > 0 then begin
          IsItProvince := True;
          Exit;
        end;
      end;
      if Contest = RRWW then begin
        if RList^.GetProvNo(Trim(S)) > 0 then begin
          IsItProvince := True;
          Exit;
        end;
      end;
    end;

    function IsItCall(TestS : String) : Boolean;
    var
      I : Integer;
      HasNums,
      HasLtrs : Boolean;
    begin
      IsItCall := False;
      L := Length(Trim(TestS));
      HasNums := False;
      HasLtrs := False;
      OkSoFar := True;
      for I := 1 to L do
        if not(TestS[I] in ['A'..'Z', '0'..'9', '/']) then Exit;
      for I := 1 to L do begin
        if TestS[I] in ['0'..'9'] then HasNums := True;
        if TestS[I] in ['A'..'Z'] then HasLtrs := True;
      end;
      if HasNums and HasLtrs and (L > 3) then IsItCall := True;
      if (TestS[1] in ['0'..'9']) and
      (TestS[2] in ['0'..'9']) and
      (TestS[3] in ['0'..'9']) and
      (TestS[4] in ['0'..'9']) and
      (TestS[5] in ['Z', ' ']) then IsItCall := False; {* 2.12e *}
    end;

    function IsItName(TestS : String) : Boolean; {v2.5a}
    var
      I : Integer;
    begin
      IsItName := False;
      L := Length(Trim(TestS));
      if L = 0 then Exit;
      for I := 1 to L do
        if not(TestS[I] in ['A'..'Z']) then Exit;
      IsItName := True;           {not much we can do except assume its a name?!}
    end;

    procedure AcceptCall(TestS : String);
    begin
      EditW^.EditRecs[1].Call := Trim(TestS);
      TestCall(EditW^.EditRecs[1].Call, EditW^.EditRecs[1]);
      MouseCall := EditW^.EditRecs[1].Call;
      TopWin^.Update(EditW^.EditRecs[1].Call);
      BotWin^.Update(EditW^.EditRecs[1].Call,EditW^.EditRecs[1].His_Qth);
    end;

    procedure AcceptName(TestS : String); {v2.5a}
    begin
      EditW^.EditRecs[1].Comment := Trim(TestS);
    end;

    procedure AcceptState(TestS : String);
    begin
      EditW^.EditRecs[1].His_Qth := Copy(TestS, 1, 2);
      EditW^.EditRecs[1].His_Zone := StateList^.GetZoneByName(EditW^.EditRecs[1].His_Qth);
      TopWin^.Update(EditW^.EditRecs[1].Call);
      BotWin^.Update(EditW^.EditRecs[1].Call,EditW^.EditRecs[1].His_Qth);
    end;

    procedure AcceptSection(TestS : String);
    begin
      EditW^.EditRecs[1].His_Qth := Trim(TestS);
      BotWin^.Update(EditW^.EditRecs[1].Call,EditW^.EditRecs[1].His_Qth);
    end;

    procedure AcceptProvince(TestS : String);
    begin
      EditW^.EditRecs[1].His_Qth := Copy(TestS, 1, 3);
      TopWin^.Update(EditW^.EditRecs[1].Call);
      BotWin^.Update(EditW^.EditRecs[1].Call,EditW^.EditRecs[1].His_Qth);
    end;

    procedure AcceptSerno(TestS : String);
    var
      w : Word;
    begin
      if Str2Word(Trim(TestS), w) then EditW^.EditRecs[1].His_Serno := w;
    end;

    procedure AcceptYear(TestS : String);
    var
      w : Word;
    begin
      if Str2Word(Trim(TestS), w) then EditW^.EditRecs[1].His_Serno := w;
    end;

    procedure AcceptAge(TestS : String);
    begin
      EditW^.EditRecs[1].His_Qth := Trim(TestS); {store age in qth}
    end;

    procedure AcceptPrecidence(TestS : String);
    begin
      EditW^.EditRecs[1].Comment := Trim(TestS); {store precident in comment}
    end;

    procedure AcceptZone(TestS : String);
    var
      w : Word;
    begin
      if Str2Word(Trim(TestS), w) and (w > 0) and (w < 41) then EditW^.EditRecs[1].His_Zone := w;
    end;

    procedure AcceptTime(TestS : String);
    begin
      EditW^.EditRecs[1].His_Time := TimeStringToTime('hhmm', Copy(TestS, 1, 4)); {* 2.12e *}
    end;

    procedure AcceptString;
    begin
      case Contest of         {editclickeditem}
        ARRL,
        TARA : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItState(S) then begin
                   AcceptState(S);
                   Exit;
                 end;
                 if IsItProvince(S) then begin
                   AcceptProvince(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
               end;
        SPDX : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItProvince(S) then begin
                   AcceptProvince(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
               end;
        ARII : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItProvince(S) then begin
                   AcceptProvince(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
               end;
        SPRI : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
                 if IsItState(S) then begin
                   AcceptState(S);
                   Exit;
                 end;
                 if IsItProvince(S) then begin
                   AcceptProvince(S);
                   Exit;
                 end;
                 if IsItName(S) then begin
                   AcceptName(S);
                   Exit;
                 end;
               end;
        NAQP : begin              {v2.5a}
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItState(S) then begin
                   AcceptState(S);
                   Exit;
                 end;
                 if IsItProvince(S) then begin
                   AcceptProvince(S);
                   Exit;
                 end;
                 if IsItName(S) then begin
                   AcceptName(S);
                   Exit;
                 end;
               end;
        BART : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItTime(S) then begin
                   AcceptTime(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
               end;
        CQWW : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItState(S) then begin
                   AcceptState(S);
                   Exit;
                 end;
                 if IsItProvince(S) then begin
                   AcceptProvince(S);
                   Exit;
                 end;
                 if IsItZone(S) then begin
                   AcceptZone(S);
                   Exit;
                 end;
               end;
        DXPD : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItState(S) then begin
                   AcceptState(S);
                   Exit;
                 end;
                 if IsItProvince(S) then begin
                   AcceptProvince(S);
                   Exit;
                 end;
               end;
        HSSC,
        SART : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
               end;
        WAED : begin              {v2.5a}
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
               end;
        JART : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItAge(S) then begin
                   AcceptAge(S);
                   Exit;
                 end;
               end;
        WPXC : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
               end;
        VOLT : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItZone(S) then begin
                   AcceptZone(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
               end;
        ANAR : begin              {v2.5a}
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItZone(S) then begin
                   AcceptZone(S);
                   Exit;
                 end;
                 if IsItTime(S) then begin
                   AcceptTime(S);
                   Exit;
                 end;
               end;
        EAWW : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItProvince(S) then begin
                   AcceptProvince(S);
                   Exit;
                 end;
                 if IsItZone(S) then begin
                   AcceptZone(S);
                   Exit;
                 end;
               end;
        RRWW : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItProvince(S) then begin
                   AcceptProvince(S);
                   Exit;
                 end;
                 if IsItZone(S) then begin
                   AcceptZone(S);
                   Exit;
                 end;
               end;
        ARFD : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItPrecidence(S) then begin
                   AcceptPrecidence(S);
                   Exit;
                 end;
                 if IsItSection(S) then begin
                   AcceptSection(S);
                   Exit;
                 end;
               end;
        SCCC : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if Converted then ConvertToNumerics(S);
                 if IsItYear(S) then begin
                   AcceptYear(S);
                   Exit;
                 end;
               end;
        BSPR : begin
                 if IsItCall(S) then begin
                   AcceptCall(S);
                   Exit;
                 end;
                 if IsItSerno(S) then begin
                   AcceptSerno(S);
                   Exit;
                 end;
               end;
      end;
    end;

  begin
    PrepItem(S);
    Converted := False;
    if AllNumerics(S) then begin
      ConvertToNumerics(S);
      Converted := True;
    end;
    RemovePunctuation(S);
    if Trim(s) = '' then Exit;
    AcceptString;
    DrawEditScreen(EntryEsr);
    BotWin^.Update(Editw^.EditRecs[1].Call,Editw^.EditRecs[1].His_Qth);
    TopWin^.Update(Editw^.EditRecs[1].Call);
  end;


  procedure RequestQrgData;
  var
    i : byte;
  begin
    if not assigned(Net) then Exit;
    for i := 1 to 8 do
      Net^.SendQrgReq(i);
  end;

  procedure MouseCatch(var KeyStroke : Word);
  var
    I : Word;
    Row, col : Byte;
    strt : byte;
    Len : Byte;
    Temp : String[12];
    Line : string[79];
    ClickItemType : Byte;

    function InDelimSet(c : char) : boolean;
    var
      b : byte;
    begin
      for b := 1 to 9 do
        if c = ClickDelims[b] then begin
          InDelimSet := True;
          Exit;
        end;
      InDelimSet := False;
    end;

    procedure GetScreenItem;
    var
      B : Byte;
      Style : byte;
    begin
      Style := RttyIni^.GetProfileInt('ClickStyle', 'MOUSE', 0);
      case Style of
        0 : begin
              if col > MW_xhi-13 then Len := MW_xhi-col
                                 else Len := 12;
              FastRead(Len, Row, col, Temp);
              Temp := Trim(Temp);
              for B := 1 to Length(Temp) do begin
                Temp[B] := Upcase(Temp[B]);
                if InDelimSet(Temp[B]) then Temp[B] :=  ' ';
              end;
              if Pos(' ', Temp) > 0 then Temp := Copy(Temp, 1, Pos(' ', Temp)-1);
            end;
        1,2 : begin
                FastRead(79, Row, 1, Line); {get entire line}
                Line[1] := ' ';
                b := col;
                if (Line[Col] <> ' ') then begin
                  repeat dec(b);
                  until InDelimSet(Line[b]) OR (col - b > 11);
                  temp := Trim(copy(Line,b+1,12));
                  b := 1;
                  while (not InDelimSet(temp[b])) and (b <= length(temp))
                  do inc(b);
                  temp := copy(temp,1,b-1);
                end else begin
                  Case Style of
                    1 : begin
                          repeat inc(b)
                          until InDelimSet(line[b]) OR (b - col > 11);
                          temp := Trim(copy(line,col+1,b-col-1));
                        end;
                    2 : begin
                          repeat dec(b)
                          until InDelimSet(line[b]) OR (col - b > 11);
                          temp := Trim(copy(line,b,col-b));
                        end;
                  end;
                end;
            end;
      end;
      ProcessMouseClickedItem(Temp);
    end;

  begin
    col := MouseWhereX;
    Row := MouseWhereY;
    { the menu line clicks }
    if Row = 1 then HandleMenuRequest;
    { the RX scrolling line is handled }
    if (col = MW_xhi) and (Row > MW_Ylo) and (Row < MW_Yhi) then begin
      case Row of
        2..6 : RttyWin^.RxScrolling(True); { up }
        8..10 : RttyWin^.RxScrollingStop;
        12..16 : RttyWin^.RxScrolling(False); { down }
      end;
      Exit;
    end;
    { the info window clicks }
    if (Row > MW_Ylo) and (Row < MW_Yhi+1) and (col > MW_xhi) and (col < ScreenWidth) then
      begin
        case Row of
          2..6 : begin
{                   if KeyStroke = msLeftClick then PutString(' left r='+long2str(Row)+',c='+long2str(col));
                   if KeyStroke = msRightClick then PutString(' right r='+long2str(Row)+',c='+long2str(col)); }
                 end;
          9..13 : begin
{                    if KeyStroke = msLeftClick then PutString(' LEFT r='+long2str(Row)+',c='+long2str(col));
                    if KeyStroke = msRightClick then PutString(' RIGHT r='+long2str(Row)+',c='+long2str(col)); }
                  end;
        end;
        KeyStroke := kbNoKey;     {means I will hande it}
        Exit;
      end;
    { the Main RX Window clicks }
    if (Row > MW_Ylo) and (Row < MW_Yhi) and (col > 1) and (col < MW_xhi) then begin
      case KeyStroke of
        msLeftClick : begin
                        KeyStroke := kbNoKey; {means I will hande it}
                        RttyWin^.RxScrollingStop;
                        GetScreenItem;
                      end;
        msRightClick : begin
                         RttyWin^.RxScrollingStop;
                         GetScreenItem;
                         RttyWin^.SendKeys(EsmY14, EditW^.EditRecs[1]);
                         ThisContest^.FillRec(EditW^.EditRecs[1].Call, EditW^.EditRecs[1]); {fill in record}
                         DrawEditScreen(EntryEsr);
                       end;
      end;
      Exit;
    end;
    { the Action Bar clicks }
    if (Row = ActionBarLine) then begin
      case KeyStroke of
        msLeftClick :
        case col of
          02..04 : ProcessAltW;
          06..08 : RttyWin^.SendKeys(EsMy13, EditW^.EditRecs[1]);
          09..11 : RttyWin^.SendKeys(EsmY14, EditW^.EditRecs[1]);
          12..14 : RttyWin^.SendKeys(EsMy15, EditW^.EditRecs[1]);
          15..17 : RttyWin^.SendKeys(EsMy16, EditW^.EditRecs[1]);
          18..20 : RttyWin^.SendKeys(EsMy17, EditW^.EditRecs[1]);
          21..23 : RttyWin^.SendKeys(EsMy18, EditW^.EditRecs[1]);
          24..26 : RttyWin^.SendKeys(EsMy19, EditW^.EditRecs[1]);
          27..29 : RttyWin^.SendKeys(EsMy50, EditW^.EditRecs[1]);
          30..32 : RttyWin^.SendKeys(EsMy51, EditW^.EditRecs[1]);
          33..36 : RttyWin^.SendKeys(EsMy52, EditW^.EditRecs[1]);
          45..49 : begin
                     CallQueue^.Edit;
                     DrawEditScreen(EntryEsr);
                   end;
          50..53 : RttyWin^.ChangeBand('U', EditW^.EditRecs[1]);
          54..57 : begin
                     LogAndQrz(EditW^.EditRecs[1]);
                     DrawEditScreen(EntryEsr);
                   end;
          58..62 : begin
                     ThisContest^.LogContact(EditW^.EditRecs[1]);                { call the other routine to log the contact}
                     DrawEditScreen(EntryEsr);
                   end;
          63..67 : RttyTerm1^.ToggleNormRev;
        end;
        msRightClick :
        case col of
          02..04 : ProcessAltW;
          06..08 : RttyWin^.SendKeys(EsMy60, EditW^.EditRecs[1]);
          09..11 : RttyWin^.SendKeys(EsmY61, EditW^.EditRecs[1]);
          12..14 : RttyWin^.SendKeys(EsMy62, EditW^.EditRecs[1]);
          15..17 : RttyWin^.SendKeys(EsMy63, EditW^.EditRecs[1]);
          18..20 : RttyWin^.SendKeys(EsMy64, EditW^.EditRecs[1]);
          21..23 : RttyWin^.SendKeys(EsMy65, EditW^.EditRecs[1]);
          24..26 : RttyWin^.SendKeys(EsMy66, EditW^.EditRecs[1]);
          27..29 : RttyWin^.SendKeys(EsMy67, EditW^.EditRecs[1]);
          30..32 : RttyWin^.SendKeys(EsMy68, EditW^.EditRecs[1]);
          33..36 : RttyWin^.SendKeys(EsMy69, EditW^.EditRecs[1]);
          45..49 : begin
                     CallQueue^.Edit;
                     DrawEditScreen(EntryEsr);
                   end;
          50..53 : RttyWin^.ChangeBand('D', EditW^.EditRecs[1]);
          54..57 : begin
                     while HandlingNetQso do;
                     if Assigned(Net) then Net^.OkToReceive(False);
                     LogAndQrz(EditW^.EditRecs[1]);
                     DrawEditScreen(EntryEsr);
                     if Assigned(Net) then Net^.OkToReceive(True);
                   end;
          58..62 : begin
                     while HandlingNetQso do;
                     if Assigned(Net) then Net^.OkToReceive(False);
                     ThisContest^.LogContact(EditW^.EditRecs[1]);                { call the other routine to log the contact}
                     DrawEditScreen(EntryEsr);
                     if Assigned(Net) then Net^.OkToReceive(True);
                   end;
          63..67 : RttyTerm1^.ToggleNormRev;
        end;
      end;
      KeyStroke := kbNoKey;
      Exit;
    end;
  end;

  procedure ProcessMyExitCommands(Command : EStype);
  var
    KeyStroke : Word;
  begin
    if (RttyTerm1^.KeyBoardLive or RttyTerm1^.TncTalk) then
      case Command of
        { limited command set }
        ESmy2  : RttyTerm1^.ToggleTncTalk;
        ESmy6  : ShowHelp;
        ESmy7  : RttyTerm1^.ToggleChatMode;
        ESmy11 : AddNote;
        ESmy23 : TestCall(Ccall, EditW^.EditRecs[1]);
        ESmy24 : CallQueue^.Scroll(True);
        ESmy25 : ThisContest^.LogContact(EditW^.EditRecs[1]);
        ESmy26 : CallQueue^.Scroll(False);
        ESmy27 : LogAndQrz(EditW^.EditRecs[1]);
        ESmy28 : AutoAnswer(EditW^.EditRecs[1]);
        ESmy29 : ProcessAltW;
        ESmy32 : DupeTbl^.DisplayCallSignInfo;
        ESmy36 : ThisContest^.ProgramFKeys;
        ESmy38 : CountryList^.DisplayInfoWin;
        ESmy39 : RttyWin^.ChangeBand('D', EditW^.EditRecs[1]);
        ESmy40 : RttyWin^.ChangeBand('U', EditW^.EditRecs[1]);
        ESmy42 : CallQueue^.Edit;
        Esmy49 : begin
                   RttyTerm1^.ResetBox;
                   RttyWin^.RxScrollingStop;
                   EntryActiveField := 2;
                 end;
        EsMy13..EsMy19,
        ESmy44,
        EsMy50..EsMy52,
        EsMy60..EsMy69 : RttyWin^.SendKeys(Command, EditW^.EditRecs[1]);
        EsMy99 : HandleMenuRequest;
      else {} ;
      end
    else
      begin
        { entire set of commands }
        case Command of
          ESmy0,
          EsMy9  : GetOut := MsgWin^.AskYesOrNO('Exit to DOS (Y/N) ?');
          ESmy1  : EditWorkSheet;
          ESmy2  : RttyTerm1^.ToggleTncTalk;
          ESmy3  : ThisContest^.HandleAltU;
          ESmy4  : DupeTbl^.PartialCallSearch;
          ESmy5  : ThisContest^.DisplayScoreWin;
          ESmy6  : ShowHelp;
          ESmy7  : RttyTerm1^.ToggleChatMode;
          ESmy8  : if Assigned(ZoneList) then ZoneList^.DisplayMap;
          ESmy10 : RttyTerm1^.Letters;
          ESmy11 : AddNote;
          ESmy12 : CountryList^.DisplayMults;
          ESmy20 : begin
                     KeyStroke := msLeftClick;
                     MouseCatch(KeyStroke);
                   end;
          ESmy21 : begin
                     KeyStroke := msRightClick;
                     MouseCatch(KeyStroke);
                   end;
          ESmy22 : if Assigned(WDistList) then WDistList^.Display;
          ESmy23 : TestCall(Ccall, EditW^.EditRecs[1]);
          ESmy24 : CallQueue^.Scroll(True);
          ESmy25 : begin
                     while HandlingNetQso do;
                     if Assigned(Net) then Net^.OkToReceive(False);
                     ThisContest^.LogContact(EditW^.EditRecs[1]);
                     DrawEditScreen(EntryEsr);
                     if Assigned(Net) then Net^.OkToReceive(True);
                   end;
          ESmy26 : CallQueue^.Scroll(False);
          ESmy27 : begin
                     while HandlingNetQso do;
                     if Assigned(Net) then Net^.OkToReceive(False);
                     LogAndQrz(EditW^.EditRecs[1]);
                     DrawEditScreen(EntryEsr);
                     if Assigned(Net) then Net^.OkToReceive(True);
                   end;
          ESmy28 : AutoAnswer(EditW^.EditRecs[1]);
          ESmy29 : ProcessAltW;
          ESmy30 : SetMyInfo;
          ESmy31 : RttyTerm1^.Figures;
          ESmy32 : DupeTbl^.DisplayCallSignInfo;
          ESmy34 : CountryList^.DisplayDXCCStatus;
          ESmy35 : CountryList^.DisplayAllCodes;
          ESmy36 : ThisContest^.ProgramFKeys;
          ESmy37 : RequestQrgData;
          ESmy38 : CountryList^.DisplayInfoWin;
          ESmy39 : RttyWin^.ChangeBand('D', EditW^.EditRecs[1]);
          ESmy40 : RttyWin^.ChangeBand('U', EditW^.EditRecs[1]);
          ESmy41 : DupeTbl^.SuperPartialCallSearch;
          ESmy42 : CallQueue^.Edit;
          EsMy43 : if Assigned(ClusterMonitor) then ClusterMonitor^.PickSpot(EditW^.EditRecs[1]);
          ESmy45 : LogFile^.Edit;
          EsMy46 : if Assigned(Net) then Net^.SendaMessage;
          EsMy47 : if Assigned(ClusterTerminal) then ClusterTerminal^.RunTerminal;
          EsMy48 : if Assigned(Net) then Net^.SendPass(EditW^.EditRecs[1].Call);
          Esmy49 : begin
                     RttyTerm1^.ResetBox;
                     RttyWin^.RxScrollingStop;
                     EntryActiveField := 2;
                   end;
          Esmy53 : RttyTerm1^.ToggleNormRev;
          EsMy54 : if Assigned(Radio) then Radio^.RitClear;
          EsMy55 : if Assigned(ClusterMonitor) then ClusterMonitor^.SendSpotToCluster;
          EsMy56 : if Assigned(Net) then Net^.EditMessages;
          EsMy13..EsMy19,
          ESmy44,
          EsMy50..EsMy52,
          EsMy60..EsMy69 : RttyWin^.SendKeys(Command, EditW^.EditRecs[1]);
          EsMy70 : if Assigned(QtcSFile) then QtcSFile^.SendQtcData(EditW^.EditRecs[1].Call);
          EsMy71 : if Assigned(QtcRFile) then QtcRFile^.RecdQtcData(EditW^.EditRecs[1].Call);
          EsMy72 : if Assigned(QtcSFile) then QtcSFile^.QueryStatus(EditW^.EditRecs[1].Call);
          EsMy73 : RttyWin^.RxScrolling(True);
          EsMy74 : RttyWin^.RxScrolling(False);
          EsMy99 : HandleMenuRequest;
        else {} ;
        end;
      end;
  end;


  procedure EditIncChoice(var Value; FieldID : Byte;
    Factor : Integer;
    var St : String); far;
  var
    ThisBand : BandType absolute Value;

    function Str : string;
    begin
      case Factor of
        1  : if ThisBand = Band_Last then ThisBand := Band_First
                               else Inc(ThisBand);
        -1 : if ThisBand = Band_First then ThisBand := Band_Last
                               else Dec(ThisBand);
      end;
      if (ThisBand < Band_First) then ThisBand := Band_First;
      if (ThisBand > Band_Last) then  ThisBand := Band_Last;
      Str := BandS[ThisBand];
    end;

  begin
    if (ThisBand < Band_First) or (ThisBand > Band_Last) then begin
      if RttyIni^.GetProfileBool('RTTY.EDITINCCHOICE', 'DEBUG', False) then
        AppendDebugMessage('RTTY.PAS Invalid Band.');
      ThisBand := Editw^.EditRecs[2].Band; { set it to same as row 2 so no crash }
    end;
    case ThisContest^.FieldsPerRecord of
      6 : if FieldID in [0,  6, 12, 18, 24] then St := Str;
      7 : if FieldID in [0,  7, 14, 21, 28] then St := Str;
      8 : if FieldID in [0,  8, 16, 24, 32] then St := Str;
      9 : if FieldID in [0,  9, 18, 27, 36] then St := Str;
      10: if FieldID in [0, 10, 20, 30, 40] then St := Str;
      11: if FieldID in [0, 11, 22, 33, 44] then St := Str;
      12: if FieldID in [0, 12, 24, 36, 48] then St := Str;
    else
      begin
        if RttyIni^.GetProfileBool('RTTY.EDITINCCHOICE', 'DEBUG', False) then begin
          AppendDebugMessage('RTTY.EditIncChoice Invalid FieldsPerRecord!');
          Halt;
        end;
      end;
    end;
  end;

begin
  nosound;
  WriteError := False;
  HaltOnError := False;
  RangeCheck := True;
  CheckBreak := False;
  InitializeMouse;
  if MouseInstalled then begin
    FullMouseWindow;
    EnableEventHandling;
    EnableEditMouse;
    EnableEntryMouse;
    EnablePickMouse;
    HideMouse;
  end;
  EditIncChoicePtr    := @EditIncChoice; { these 3 MUST be here }
  ValidateCallsignPtr := @ValidateCallsign;
  ValidateQthPtr      := @ValidateQth;
  InitialProgramSetup;            {one timers}
  AddMyCommands;                  {one timers}
  LoadClickDelims;                {lowlvl}
  UpdateActionBar;
  AppendDebugMessage('Exact Version: '+Version);
  RttyWin^.PutString(CRLF+'Free memory: '+long2str(MemAvail div 1024)+'K');
  if (MemAvail div 1024) < 20 then begin { less than 20K !! }
    RttyWin^.PutString(CRLF+'Memory is very low! You may have trouble executing the program.');
    Alarm;
  end;
  RttyWin^.PutString(CRLF+'Ready'+CRLF);
  EditW^.EditRecs[1].Band := CurrentBand;
  EntryActiveField := 2;
  InitEsRecord(EntryEsr);
  TpEntry.EntryKeyPtr := @MyGetKey;
  Colors^.SetEntryAttributes;
  with Colors^ do
  SetEntryWindow(EntryEsr, 1, MW_Yhi+2, ScreenWidth-24, ScreenHeight-1, False,
    WindowAttr, FrameAttr);
  SetWrapMode(EntryEsr, WrapAtEdges);
  ThisContest^.BuildEditWindow;
  ScoreWin^.Update;
  NewTimer(ClockTimer, 1);
  NewTimer(RadioTimer, 1);
  repeat
    gInMainLoop := True;
    if RttyIni^.GetProfileBool('SpaceTab','PROFILE',False) then AddCmd(EsNextField,$3920); { space = enter }
    EntryExitCommand := EditScreen(EntryEsr, EntryActiveField, False);
    if RttyIni^.GetProfileBool('SpaceTab','PROFILE',False) then AddCmd(EsNone,$3920);  { 1c0d = enter = enter }
    EntryActiveField := EntryEsr.CurrentId;
    EditW^.SaveToDisk;
    gInMainLoop := False;
    AutoCq^.Stop;
    case EntryExitCommand of
      ESmy0..EsMy99 : ProcessMyExitCommands(EntryExitCommand);
    else
      {} ;
    end;
    UpdateActionBar;
  until GetOut;
  EditW^.SaveToDisk;
  FinalProgramClose;
  WriteLn;
end.

